package com.sw.mes.sap.service;

import java.io.IOException;
import java.util.List;

import javax.servlet.http.HttpServletResponse;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.sap.dto.WarehouseStatisticsDto;
import com.sw.mes.sap.entity.LogSapStock;

/**
 * SAP库存数据Service接口
 * 
 * @author liru
 * @date 2024-03-04
 */
public interface LogSapStockService extends BaseService<LogSapStock>
{

	void deleteAll();

	LogSapStock findByLgortAndMatnrAndCharg(String lgort, String matnr, String charg);
	
	List<LogSapStock> findByLgortAndMatnr(String lgort, String matnr);
	
	/**
	 * 同步SAP物料批次库存
	 * @param lgort 库存地点
	 * @param matnr 物料号
	 * @param charg 批次号
	 * @return 同步后当前库存物料批次库存对象
	 */
	LogSapStock synSapStock(String lgort, String matnr, String charg);

	
	void deleteByMatnrAndLgort(String matnr, String lgort);

	void deleteByLgort(String lgort);

	List<LogSapStock> findByLgort(String lgort);

	List realTimeReconciliationOfInventory(WarehouseStatisticsDto dto);

	void export(HttpServletResponse response, String sheetName, String string, List list) throws IOException;

	List realTimeReconciliationOfInventoryLgorts();

	List realTimeReconciliationOfInventoryChargs();

	

}